Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.FontMapResult Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | FontMapResult ()
| Constructor.
def | FontMapResult (file_read, face_index)
| Constructor, with parameters. More...
def | FontMapResult (other)
| Constructor, with another font mapping result object. More...
def | Set (file_read, face_index)
| Set value. More...

## Static Public Attributes
| face_index = _fsdk.FontMapResult_face_index
| Face index. This is a zero-based index value: More...
| file_read = _fsdk.FontMapResult_file_read
| A FoxitPDFSDKPython2.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font.If this is null, that means no mapped font.

## Detailed Description

This class represents font mappping result returned by callback function FoxitPDFSDKPython2.FontMapperCallback.MapFont .

## Constructor & Destructor Documentation

## ◆ FontMapResult() [1/2]

def FoxitPDFSDKPython2.FontMapResult.FontMapResult | ( |  | file_read,
|  |  | face_index
| ) |  |

Constructor, with parameters.

Parameters

  [in] | file_read | A FoxitPDFSDKPython2.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## ◆ FontMapResult() [2/2]

def FoxitPDFSDKPython2.FontMapResult.FontMapResult | ( |  | other | ) |

Constructor, with another font mapping result object.

Parameters

  [in] | other | Another font mapping result object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.FontMapResult.Set | ( |  | file_read,
|  |  | face_index
| ) |  |

Set value.

Parameters

  [in] | file_read | A FoxitPDFSDKPython2.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## Member Data Documentation

## ◆ face_index

FoxitPDFSDKPython2.FontMapResult.face_index = _fsdk.FontMapResult_face_index
| static

Face index. This is a zero-based index value:

- If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face.
- If the mapped font (represented by file_read) is not a collection, the index value shall be zero.

-1 means no mapped font.